Subject: Ticket Assigned - POD / 9563441189
From: Home Box <[email-masked]>
To: [email-masked]
Date: Mon, 04 Apr 2022 06:53:15 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  POD / 9563441189 Karla                    hello!!           10:42 AM, 04th Apr                     Karla                    please, i need an update on my order - it never came           10:42 AM, 04th Apr                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           10:42 AM, 04th Apr                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            10:42 AM, 04th Apr                     Karla                    order number #9563441189. got an email that it's been delivered but i never received it. where is my order?           10:42 AM, 04th Apr                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            10:44 AM, 04th Apr                   New                   If you have any pictures that you would like to share, please do that.            10:44 AM, 04th Apr                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           10:44 AM, 04th Apr                   Ahmed                   Kindly allow me few moments so I can check the details of the order            10:45 AM, 04th Apr                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           10:52 AM, 04th Apr                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4122234